| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IRndmGen::Param Class Reference

`#include <IRndmGen.h>`

Inheritance diagram for IRndmGen::Param:

[legend]
Collaboration diagram for IRndmGen::Param:

[legend]
List of all members.

## Detailed Description

Definition at line 40 of file IRndmGen.h.

## Public Member Functions
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor.
virtual | ~Param ()
| Standard Destructor.
virtual const InterfaceID & | type () const
| Parameter's type.
virtual Param * | clone () const=0
| Clone parameters.
## Protected Attributes
const InterfaceID | m_type
| Type of the generator.

## Constructor & Destructor Documentation

IRndmGen::Param::Param | ( | const InterfaceID & | type = `IID_IRndmFlat` | ) | `[inline]`

Standard constructor.

Definition at line 46 of file IRndmGen.h.

    00046                                                      : m_type(type) {
    00047     }

virtual IRndmGen::Param::~Param | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 49 of file IRndmGen.h.

    00049                         {
    00050     }

## Member Function Documentation

virtual const InterfaceID& IRndmGen::Param::type | ( |  | ) | const`[inline, virtual]`

Parameter's type.

Definition at line 52 of file IRndmGen.h.

References m_type.

Referenced by RndmGenSvc::generator(), and RndmGen::type().

    00052                                               {
    00053       return m_type;
    00054     }

virtual Param* IRndmGen::Param::clone | ( |  | ) | const`[pure virtual]`

Clone parameters.

Implemented in Rndm::Gauss, Rndm::Exponential, Rndm::Chi2, Rndm::BreitWigner, Rndm::Landau, Rndm::BreitWignerCutOff, Rndm::StudentT, Rndm::Gamma, Rndm::Poisson, Rndm::Binomial, Rndm::Flat, Rndm::Bit, Rndm::DefinedPdf, and Rndm::GaussianTail.

Referenced by RndmGen::initialize().

## Member Data Documentation

const InterfaceID IRndmGen::Param::m_type`[protected]`

Type of the generator.

Definition at line 43 of file IRndmGen.h.

Referenced by type().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IRndmGen.h